import request from '@/utils/request'

// 查询项目资料列表
export function listProject(query) {
  return request({
    url: '/project/info/list',
    method: 'get',
    params: query
  })
}

// 查询项目资料详细
export function getProject(id) {
  return request({
    url: '/project/info/' + id,
    method: 'get'
  })
}

// 新增项目资料
export function addProject(data) {
  return request({
    url: '/project/info',
    method: 'post',
    data: data
  })
}

// 修改项目资料
export function updateProject(data) {
  return request({
    url: '/project/info',
    method: 'put',
    data: data
  })
}

// 删除项目资料
export function delProject(id) {
  return request({
    url: '/project/info/' + id,
    method: 'delete'
  })
}

// 导出项目资料
export function exportProject(query) {
  return request({
    url: '/project/info/export',
    method: 'get',
    params: query
  })
}
